﻿using UnityEngine;
using System.Collections;

/**
 * 指定のアイテムをセンターへスクロール。
 */
public class ScrollToCenter : MonoBehaviour {
	/**
	 * UICenterOnChildを持つオブジェクト.
	 */
	public GameObject centerGO;

	/**
	 * ターゲットのオブジェクト。
	 */
	public GameObject targetCenterGO;
	 

	/**
	 * UICenterOnChild.
	 */
	private UICenterOnChild center;


	/**
	 * Awake.
	 */
	public void Awake() {
		this.center = this.centerGO.GetComponent<UICenterOnChild>();
	}

	/**
	 * センターへスクロール。
	 */
	public void CenterOn() {
		this.center.CenterOn(this.targetCenterGO.transform);
		Debug.Log(this.targetCenterGO.transform.position);
	}
}
